Bug 11435 - Show basketgroup information in Acquisition tab in catalogue page
Summary: Show basketgroup information in Acquisition tab in catalogue page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: mathieu saby
QA Contact: Testopia
URL:
Keywords:
Depends on: 8230
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-22 22:37 UTC by mathieu saby
Modified: 2014-12-07 20:07 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
[PATCH] Bug 11435 - Show basketgroup information in Acquisition tab in catalogue page (3.89 KB, patch)
2013-12-22 22:46 UTC, mathieu saby
Details | Diff | Splinter Review
Bug 11435 - Show basketgroup information in Acquisition tab in catalogue page (3.91 KB, patch)
2014-01-17 15:19 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PASSED QA] Bug 11435 - Show basketgroup information in Acquisition tab in catalogue page (4.01 KB, patch)
2014-01-19 09:54 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description mathieu saby 2013-12-22 22:37:04 UTC
Bug 8230 created an Aquisition tab on catalogue page (very useful!).
This patch will add a new column for displaying information about basketgroups (this will be very helpful for libraries using basketgroups).

M. Saby
Comment 1 mathieu saby 2013-12-22 22:46:04 UTC Comment hidden (obsolete)
Comment 2 Fridolin Somers 2013-12-24 14:16:50 UTC
Adding 8230 dependancy
Comment 3 Jonathan Druart 2014-01-17 15:19:56 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2014-01-19 09:54:58 UTC
Created attachment 24552 [details] [review]
[PASSED QA] Bug 11435 - Show basketgroup information in Acquisition tab in catalogue page

This patch adds a new column for displaying information about basketgroups in the Acquisition tab on catalogue page for a record.
It also adds the number of the basket in the basket column.
If the user does not have group_manage permission, he just see the basketgroup name and number.
If he has the permission, he can click to display the basketgroup.
If the basket is not in a basketgroup, the column is empty.

To test:
Use a record in an order, and put the basket in a basketgroup.
Connect with a user WITHOUY group_manage permission (but with order_manage permission).
Go to the record's detail in catalogue and click on Acquisition tab.
Check you see the name and number of the basketgroup, with no link around it.
Check the number of the basket is displayed within () after the name of the basket
Click on the basket link, check the basket displayed is the right one.

Connect with a user WITH group_manage permission.
Go to the record's detail in catalogue and click on Acquisition tab.
Check you see a link with the name and number of the basketgroup.
Click on the link, check the basketgroup displayed is the right one.

On the basketgroup page, move the basket out of the basketgroup, and save the basketgroup.

Go back to the record's page on the catalogue and click on Acquisition tab.
Check the basketgroup column is empty

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Passes all tests and QA script.
Comment 5 Galen Charlton 2014-01-23 16:59:52 UTC
Pushed to master.  Thanks, Mathieu!